Subject: RE: Gnome + winMe/98 + commericial x server?
From: "Robert Collins" <[email-masked]>
To: "Charles S. Wilson" <[email-masked]>
Cc: "Jong B. Lee" <[email-masked]>, "cygwin" <[email-masked]>
Date: Mon, 19 Feb 2001 17:01:13 +1100

> -----Original Message-----
> From: Charles S. Wilson [mailto:[email-masked]]
> Sent: Monday, 19 February 2001 4:59 PM
> To: Robert Collins
> Cc: Jong B. Lee; cygwin
> Subject: Re: Gnome + winMe/98 + commericial x server?
> 
> 
> Robert Collins wrote:
> > 
> > >From the look of Stefans patches everything is being built 
> static. Does
> > your glib build dynamic or static libraries & can it be linked
> > dynamically?
> 
> From:
> http://groups.yahoo.com/group/gimpwin-dev/message/1251
> > The new makefiles will build both static libraries and 
> > also DLL libraries with import libraries. There is also 
> > added small quickly written README file which explains 
> > how to compile on cygwin for POSIX runtime.
> 
> AFAIRC, libtool support for building dll's "seamlessly" is either
> limited, or very recent, or both.  (I just metntion that so 
> folks won't
> think it's a magic bullet for dll-izing *everything* "easily")
> 
> --Chuck

You recall correctly. In fact it cannot build seamlessly - it needs the
variable exports defined appropriately in the library headers (just as
dlltool does). Other than that it does a pretty credible job of making
it easy. The only problem I had with glib and libtool was with gmodule -
which sounds like it's been cracked.

I will stand up and suggest that any libtool library can be dll-ized
without any creativity at all - just follow the libtool guidlines and
you'll be fine.

The current released libtool supports this, and the CVS version is a
little better. (Gary from libtool (sorry Gary.. last name escapes me
just now) who did much of the dll support has used it in m4 for run time
modules with good success, and has also coauthored a book which details
the .dll support). NB: I haven't read the book, and as far as I know
it's not available online. 

Rob

--
Want to unsubscribe from this list?
Check out: http://cygwin.com/ml/#unsubscribe-simple